<script setup>
defineProps({
  disabled: Boolean,
  type: String
})

function variations(color) {
    const type = {
        primary: 'primary',
        warn: 'warn'
    }
    return type[color];
}
</script>

<template>
    <button :disabled="disabled" class="p-2" :class="variations(type)"><slot></slot></button>
</template>

<style scoped>
    button {
        background-color: rgb(126, 126, 126);
        color: white;
        font-weight: 600;
    }

    button:disabled {
        cursor: default;
        background-color: rgb(180, 181, 180)
    }
    .primary {
        background-color: rgb(125, 179, 84);
    }
    .error{
        background-color: red;
    }
</style>